orc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Owen O'Malley (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ORC-240) fix warnings from Maven
Date Tue, 26 Sep 2017 22:41:00 GMT
Owen O'Malley created ORC-240:
---------------------------------

             Summary: fix warnings from Maven
                 Key: ORC-240
                 URL: https://issues.apache.org/jira/browse/ORC-240
             Project: ORC
          Issue Type: Bug
            Reporter: Owen O'Malley
            Assignee: Owen O'Malley
             Fix For: 1.5.0


Currently we see a few warnings from Maven.


{code:java}
[WARNING] Some problems were encountered while building the effective model for org.apache.orc:orc-shims:jar:1.5.0-SNAPSHOT
[WARNING] 'build.pluginManagement.plugins.plugin.(groupId:artifactId)' must be unique but
found duplicate declaration of plugin org.apache.maven.plugins:maven-compiler-plugin @ org.apache.orc:orc:1.5.0-SNAPSHOT,
/Users/owen/work/code/orc/java/pom.xml, line 247, column 17
[WARNING]
[WARNING] Some problems were encountered while building the effective model for org.apache.orc:orc:pom:1.5.0-SNAPSHOT
[WARNING] 'build.pluginManagement.plugins.plugin.(groupId:artifactId)' must be unique but
found duplicate declaration of plugin org.apache.maven.plugins:maven-compiler-plugin @ line
247, column 17
[WARNING]
[WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
[WARNING]
[WARNING] For this reason, future Maven versions might no longer support building such malformed
projects.
[WARNING]
[WARNING] The project org.apache.orc:orc:pom:1.5.0-SNAPSHOT uses prerequisites which is only
intended for maven-plugin projects but not for non maven-plugin projects. For such purposes
you should use the maven-enforcer-plugin. See https://maven.apache.org/enforcer/enforcer-rules/requireMavenVersion.html
{code}




--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message